Index: trunk/packages/sipb-xen-remctl-auto/sipb-xen-remctl-auto/files/usr/sbin/remctl-update.sh
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/sipb-xen-remctl-auto/files/usr/sbin/remctl-update.sh	(revision 125)
+++ trunk/packages/sipb-xen-remctl-auto/sipb-xen-remctl-auto/files/usr/sbin/remctl-update.sh	(revision 126)
@@ -13,5 +13,5 @@
 update_machine()
 {
-    machine=$1
+    machine="$1"
     sed "s/#MACHINENAME#/$machine/g" "$TEMPLATE" | \
 	sed "s,#BINDIR#,$BINDIR,g" >| "$MACHINETMP"
@@ -25,5 +25,5 @@
 update_moiragroup()
 {
-    group=$1
+    group="$1"
     # Should perhaps replace with LDAP, but fine for now.
 
@@ -31,6 +31,8 @@
     # all bits and delete the moira-acl files whenever there's an AFS
     # outage.
-    pts membership -nameorid "system:$group" -noauth | tail -n+2 | \
-	sed 's/\./\//; s/^  //; s/$/@ATHENA.MIT.EDU/g' >| "$MOIRATMP"
+    pts membership system:"$group" -noauth | tail -n+2 | \
+	sed 's/\./\//' | \
+	sed 's/^  //' | \
+	sed 's/$/@ATHENA.MIT.EDU/g' >| "$MOIRATMP"
     if test -s "$MOIRATMP"; then
 	if ! cmp -s "$MOIRADIR/$group" "$MOIRATMP"; then
@@ -73,4 +75,24 @@
 	grep -R moira "$ACLDIR/" /etc/remctl/acl/ | perl -pe 's/.*moira-acl\/(.*)/$1/g' >| "$AUTOMOIRALIST"
 	;;
+    register)
+	if [ "$2" == "Domain-0" ]; then
+	    echo "No, you can't control Domain 0"
+	    exit 1
+	fi
+	if [ -e /etc/xen/"$2" ]; then
+	    echo "Machine already exists outside database"
+	    exit 1
+	fi
+	if [ -e "$ACLDIR"/"$2" ]; then
+	    echo "Machine already registered"
+	    exit 1
+	fi
+	echo "include /etc/remctl/acl/web" > "$ACLDIR/$2"
+	"$0" web
+	;;
+    web)
+	"$0" auto_machine_list
+	"$0" all_machines
+	;;	
     all)
     	"$0" auto_machine_list
